Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.cluster
Class ClusterSchema

    java.lang.Object
      org.pentaho.di.core.changed.ChangedFlag
          org.pentaho.di.cluster.ClusterSchema

All Implemented Interfaces:
  Cloneable, ChangedFlagInterface, org.pentaho.di.core.variables.VariableSpace, org.pentaho.di.shared.SharedObjectInterface

    public class ClusterSchema

extends ChangedFlag
implements Cloneable, org.pentaho.di.shared.SharedObjectInterface, org.pentaho.di.core.variables.VariableSpace

A cluster schema combines a list of slave servers so that they can be set altogether. It (can) also contain a number of performance tuning options regarding this cluster. For example options regarding communications with the master node of the nodes themselves come to mind.

Since:
  17-nov-2006
Author:
  Matt

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`ClusterSchema()`
`ClusterSchema(Node clusterSchemaNode, List<SlaveServer> referenceSlaveServers)`
`ClusterSchema(Repository rep, long id_cluster_schema, List<SlaveServer> slaveServers)`
`ClusterSchema(String name, List<SlaveServer> slaveServers)`

Method Summary
`ClusterSchema` | `clone()`
`void` | `copyVariablesFrom(org.pentaho.di.core.variables.VariableSpace space)`
`String` | `environmentSubstitute(String aString)`
`String[]` | `environmentSubstitute(String[] aString)`
`boolean` | `equals(Object obj)`
`SlaveServer` | `findMaster()`
`int` | `findNrSlaves()`
`SlaveServer` | `findSlaveServer(String slaveServerName)`
`String` | `getBasePort()`
`boolean` | `getBooleanValueOfVariable(String variableName, boolean defaultValue)`
`long` | `getId()`
`String` | `getName()`
`org.pentaho.di.core.variables.VariableSpace` | `getParentVariableSpace()`
`List<SlaveServer>` | `getSlaveServers()`
`List<SlaveServer>` | `getSlaveServersFromMasterOrLocal()`
`String[]` | `getSlaveServerStrings()`
`String` | `getSocketsBufferSize()`
`String` | `getSocketsFlushInterval()`
`String` | `getVariable(String variableName)`
`String` | `getVariable(String variableName, String defaultValue)`
`String` | `getXML()`
`int` | `hashCode()`
`void` | `initializeVariablesFrom(org.pentaho.di.core.variables.VariableSpace parent)`
`void` | `injectVariables(Map<String,String> prop)`
`boolean` | `isDynamic()`
`boolean` | `isShared()`
`boolean` | `isSocketsCompressed()`
`String[]` | `listVariables()`
`void` | `replaceMeta(ClusterSchema clusterSchema)`
`void` | `saveRep(Repository rep)`
`void` | `saveRep(Repository rep, long id_transformation, boolean isUsedByTransformation)`
`void` | `setBasePort(String basePort)`
`void` | `setDynamic(boolean dynamic)`
`void` | `setId(long id)`
`void` | `setName(String name)`
`void` | `setParentVariableSpace(org.pentaho.di.core.variables.VariableSpace parent)`
`void` | `setShared(boolean shared)`
`void` | `setSlaveServers(List<SlaveServer> slaveServers)`
`void` | `setSocketsBufferSize(String socketsBufferSize)`
`void` | `setSocketsCompressed(boolean socketsCompressed)`
`void` | `setSocketsFlushInterval(String socketFlushInterval)`
`void` | `setVariable(String variableName, String variableValue)`
`void` | `shareVariablesWith(org.pentaho.di.core.variables.VariableSpace space)`
`String` | `toString()`

Methods inherited from class org.pentaho.di.core.changed.ChangedFlag
`addObserver, clearChanged, deleteObserver, hasChanged, notifyObservers, setChanged, setChanged`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### ClusterSchema

    public ClusterSchema()

### ClusterSchema

    public ClusterSchema(String name,
                         List<SlaveServer> slaveServers)

Parameters:
  `name` -
  `slaveServers` -

### ClusterSchema

    public ClusterSchema(Node clusterSchemaNode,
                         List<SlaveServer> referenceSlaveServers)

### ClusterSchema

    public ClusterSchema(Repository rep,
                         long id_cluster_schema,
                         List<SlaveServer> slaveServers)
                  throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### clone

    public ClusterSchema clone()

  Overrides:
    `clone` in class `Object`

### replaceMeta

    public void replaceMeta(ClusterSchema clusterSchema)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `org.pentaho.di.shared.SharedObjectInterface`

### saveRep

    public void saveRep(Repository rep)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        boolean isUsedByTransformation)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.pentaho.di.shared.SharedObjectInterface`
  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### getSlaveServers

    public List<SlaveServer> getSlaveServers()

  Returns:
    the internal (static) list of slave servers

### setSlaveServers

    public void setSlaveServers(List<SlaveServer> slaveServers)

  Parameters:
    `slaveServers` - the slaveServers to set

### getSlaveServerStrings

    public String[] getSlaveServerStrings()

  Returns:
    The slave server strings from this cluster schema

### isShared

    public boolean isShared()

  Specified by:
    `isShared` in interface `org.pentaho.di.shared.SharedObjectInterface`
  Returns:
    the shared

### setShared

    public void setShared(boolean shared)

  Specified by:
    `setShared` in interface `org.pentaho.di.shared.SharedObjectInterface`
  Parameters:
    `shared` - the shared to set

### getBasePort

    public String getBasePort()

  Returns:
    the basePort

### setBasePort

    public void setBasePort(String basePort)

  Parameters:
    `basePort` - the basePort to set

### findMaster

    public SlaveServer findMaster()
                           throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### findNrSlaves

    public int findNrSlaves()

  Returns:
    The number of slave servers, excluding the master server

### getSocketsFlushInterval

    public String getSocketsFlushInterval()

  Returns:
    the socketFlushInterval

### setSocketsFlushInterval

    public void setSocketsFlushInterval(String socketFlushInterval)

  Parameters:
    `socketFlushInterval` - the socketFlushInterval to set

### getSocketsBufferSize

    public String getSocketsBufferSize()

  Returns:
    the socketsBufferSize

### setSocketsBufferSize

    public void setSocketsBufferSize(String socketsBufferSize)

  Parameters:
    `socketsBufferSize` - the socketsBufferSize to set

### isSocketsCompressed

    public boolean isSocketsCompressed()

  Returns:
    the socketsCompressed

### setSocketsCompressed

    public void setSocketsCompressed(boolean socketsCompressed)

  Parameters:
    `socketsCompressed` - the socketsCompressed to set

### findSlaveServer

    public SlaveServer findSlaveServer(String slaveServerName)

### getId

    public long getId()

### setId

    public void setId(long id)

### copyVariablesFrom

    public void copyVariablesFrom(org.pentaho.di.core.variables.VariableSpace space)

  Specified by:
    `copyVariablesFrom` in interface `org.pentaho.di.core.variables.VariableSpace`

### environmentSubstitute

    public String environmentSubstitute(String aString)

  Specified by:
    `environmentSubstitute` in interface `org.pentaho.di.core.variables.VariableSpace`

### environmentSubstitute

    public String[] environmentSubstitute(String[] aString)

  Specified by:
    `environmentSubstitute` in interface `org.pentaho.di.core.variables.VariableSpace`

### getParentVariableSpace

    public org.pentaho.di.core.variables.VariableSpace getParentVariableSpace()

  Specified by:
    `getParentVariableSpace` in interface `org.pentaho.di.core.variables.VariableSpace`

### setParentVariableSpace

    public void setParentVariableSpace(org.pentaho.di.core.variables.VariableSpace parent)

  Specified by:
    `setParentVariableSpace` in interface `org.pentaho.di.core.variables.VariableSpace`

### getVariable

    public String getVariable(String variableName,
                              String defaultValue)

  Specified by:
    `getVariable` in interface `org.pentaho.di.core.variables.VariableSpace`

### getVariable

    public String getVariable(String variableName)

  Specified by:
    `getVariable` in interface `org.pentaho.di.core.variables.VariableSpace`

### getBooleanValueOfVariable

    public boolean getBooleanValueOfVariable(String variableName,
                                             boolean defaultValue)

  Specified by:
    `getBooleanValueOfVariable` in interface `org.pentaho.di.core.variables.VariableSpace`

### initializeVariablesFrom

    public void initializeVariablesFrom(org.pentaho.di.core.variables.VariableSpace parent)

  Specified by:
    `initializeVariablesFrom` in interface `org.pentaho.di.core.variables.VariableSpace`

### listVariables

    public String[] listVariables()

  Specified by:
    `listVariables` in interface `org.pentaho.di.core.variables.VariableSpace`

### setVariable

    public void setVariable(String variableName,
                            String variableValue)

  Specified by:
    `setVariable` in interface `org.pentaho.di.core.variables.VariableSpace`

### shareVariablesWith

    public void shareVariablesWith(org.pentaho.di.core.variables.VariableSpace space)

  Specified by:
    `shareVariablesWith` in interface `org.pentaho.di.core.variables.VariableSpace`

### injectVariables

    public void injectVariables(Map<String,String> prop)

  Specified by:
    `injectVariables` in interface `org.pentaho.di.core.variables.VariableSpace`

### isDynamic

    public boolean isDynamic()

  Returns:
    the dynamic

### setDynamic

    public void setDynamic(boolean dynamic)

  Parameters:
    `dynamic` - the dynamic to set

### getSlaveServersFromMasterOrLocal

    public List<SlaveServer> getSlaveServersFromMasterOrLocal()
                                                       throws org.pentaho.di.core.exception.KettleException

  Returns:
    A list of dynamic slave servers, retrieved from the first master server that was available.
  Throws:
    `org.pentaho.di.core.exception.KettleException` - when none of the masters can be contacted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD